Bug 154715 - buffer overflow when installer tries to load locally stored ISO image
buffer overflow when installer tries to load locally stored ISO image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
FC4
:
: 154757 (view as bug list)
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-04-13 13:57 EDT by Simon Lanzmich
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 10:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Lanzmich 2005-04-13 13:57:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
When I try to install FC4test2 for x86_64 on my system via an installation
from the DVD-ISO which is on my SATA hard drive, the installer crashes and
then tells me to reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download the FC4-test2-DVD-x86_64.iso and burn the boot.iso on a CD.
2. Boot the CD and select to install from hard disk.
3. Select the directoy where the ISO is located and click OK.


Actual Results:  The installer crashes and gives the following output:

         *** buffer overflow detected ***: /sbin/loader terminated
                                                                  ======= Backtr
ace: =========
              [0x484beb]
  <Tab>/<Alt-Tab> betwee[0x40c4f7]    <space> selects | <F12> next screen
                                  [0x40d644]
                                            [0x40e40d]
                                                      [0x40ea7d]
                                                                [0x4021d9]
                                                                          [0x45a
f8f]
    [0x4001c9]
              ======= Memory map: ========
                                          00400000-0051d000 r-xp 00000000 00:01 
16                                 /sbin/loader
                                               0061c000-00621000 rw-p 0011c000 0
0:01 16                                 /sbin/loader
                                                    00621000-006b4000 rw-p 00621
000 00:00 0                                  [heap]
                                                   2aaaaaaab000-2aaaaaad3000 rw-
p 2aaaaaaab000 00:00 0
                       7fffffadf000-7fffffaf5000 rw-p 7fffffadf000 00:00 0
                [stack]
                       ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0
                [vdso]
                      install exited abnormally -- received signal 6
                                                                    sending term
ination signals...done
                      sending kill signals...done
                                                 disabling swap...
                                                                  unmounting fil
esystems...
                /proc/bus/usb done
                                        /proc done
                                                        /dev/pts done
                                                                        /dev umo
unt failed (16)
                /sys done
                                /tmp/ramfs done
                                                /tmp/hdimage umount failed (16)
                                                                               Y
ou may safely reboot your system



Expected Results:  The installation should continue

Additional info:
Comment 1 Jeremy Katz 2005-04-14 17:16:31 EDT
*** Bug 154757 has been marked as a duplicate of this bug. ***
Comment 2 Richard Plana 2005-04-14 17:20:32 EDT
When I reported the duplicate, I was running on an i386 (P4 3GHz)-based machine
Comment 3 Richard Plana 2005-04-15 12:32:12 EDT
Is there an interim solution I could use? I'd really like to try FC4T2 but don't
have a DVD-ROM burner. The problem seems to stem from the ISO file not being
mounted. I tried mounting the ISO file after booting from the rescuecd and that
wouldn't work, either.
Comment 4 Chris Lumens 2005-04-20 14:57:42 EDT
Are you able to reproduce this?  Using the x86_64 boot.iso and the DVD image on
a partition with an existing install, I was able to boot into the second stage.
 From your initial report, it looks like anaconda was crashing while still in
the loader (the part that comes before the graphical stage).  Is this correct?

Does it crash every time or is it sporadic?
Comment 5 Simon Lanzmich 2005-04-20 15:18:02 EDT
It crashes every time I select the partition/dir from where to read the ISOs and
press OK.
It does not crash if I select the wrong dir/drive, so I think the installer at
least starts to laod. I haven't tried to move the the ISOs to an other partition
or to my old PATA disk, but i will give it a try.
I have also tried it with the CD-Images, but it crashes in the same way (I
haven't exactly checked the output, though).

Do you think it has to do with the SATA disk?
Do you need other information?
Comment 6 Richard Plana 2005-04-20 15:18:56 EDT
Not the original reporter, but I'm getting the exact same error (See Bug 154757)
on an P4-based machine. I tried to mount the ISO from the commandline after
booting using rescuecd and found that I couldn't mount the ISO image trying
various options. It crashes every time with the exact same screen output above
when I try to install. From the command-line, I just get different messages
depending on my -o options to mount(8).
Comment 7 Simon Lanzmich 2005-04-21 11:16:29 EDT
The error seems to have something to with where on the partition the ISO is
located. If I copy the FC4-test2-x86_64-DVD.iso in the top directory of the
partition, the installer seems to work, while I can't install if the ISOs are in
/fedora/FC4-test2-DVD-x86_64 (I get to the graphical installer, but I haven't
tried to complete the installation yet).

Besides, don't you think it is a little stupid that in the name of the dir
created by bittorrent (FC4-test2-DVD-x86_64) the "DVD" comes first while in the
name of the ISO the "x86_64" comes before the "DVD"?

However, the installer drops the folowing message when it loads (Anyway it seems
to work):

/usr/lib/anaconda/gui.py:447 GtkWarning Unable to locate theme engine in module
path: "clearlooks",
  p = gtk.Image()

Hope that helps!
Comment 8 Chris Lumens 2005-04-22 13:41:55 EDT
(In reply to comment #7)
> The error seems to have something to with where on the partition the ISO is
> located. If I copy the FC4-test2-x86_64-DVD.iso in the top directory of the
> partition, the installer seems to work, while I can't install if the ISOs are in
> /fedora/FC4-test2-DVD-x86_64 (I get to the graphical installer, but I haven't
> tried to complete the installation yet).

This was a good idea, but I am still unable to reproduce it.
 
> Besides, don't you think it is a little stupid that in the name of the dir
> created by bittorrent (FC4-test2-DVD-x86_64) the "DVD" comes first while in the
> name of the ISO the "x86_64" comes before the "DVD"?

Yes, that is a rather annoying inconsistency.  I'm not sure exactly whose
department that is, though.

> However, the installer drops the folowing message when it loads (Anyway it seems
> to work):
> 
> /usr/lib/anaconda/gui.py:447 GtkWarning Unable to locate theme engine in module
> path: "clearlooks",
>   p = gtk.Image()

This is unrelated - it's because the GTK theme didn't make it into the install
image.  The only side effect of this message is that the installer is rather
ugly.  We've fixed it in Rawhide, though.
Comment 9 Chris Lumens 2005-04-22 13:44:33 EDT
Are you seeing any messages on tty3 or tty4 (alt-f3 and alt-f4)?  If I could get
some more useful debugging output rather than that rather unhelpful backtrace, I
could at least look through the code for what might be causing the problems even
if I can't duplicate it here.
Comment 10 Richard Plana 2005-04-22 13:47:52 EDT
Might be a change to mount(8) or in the loop drivers, but that intuitive
experiment by the original poster seems to suggest it might be a path-naming
issue. Try using the same pathname to store your ISO for testing. In my case
(since I'm getting the same error), the path I stored it in was
/fedora/linux/core/test/3.91/i386/iso/FC4-test2-i386-DVD.iso on /dev/hda6.

I'll try various experiments later from the commandline using rescuecd.iso
Comment 11 Simon Lanzmich 2005-04-22 16:33:08 EDT
I get the following output:

...
<5>SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
<5>SCSI device sda: dirve cache: write back
<5>SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
<5>SCSI device sda: dirve cache: write back
<6> sda: sda1 sda2 < sda5 sda6 sda7 sda8 sda9 sda10 sda11 sda12 sda13 >
<5>Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
<6>USB Universal Host Controller Interface driver v2.2 
<6>cdrom: open failed.
<7>ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7>ISO 9660 Extensions: RRIP_1991A
<4>EXT2-fs warning (device sda13): ext2_fill_super: mounting ext3 filesystem as
ext2
<4>

and: 
...
* failed to insert /tmp/ehci-hcd.ko
* failed to insert module (19)
* failed to insert /tmp/ehci-hcd.ko
* load module set done
* trying to mount CD device hdb
* trying to mount CD device hdc
* going to set language to en_US.UTF-8
* setting language to en_US.UTF-8
* 52 keymaps are available
* starting to STEP_URL
* partition /dev/sda13 selected
* mounting device sda13 for hard drive install
* mntloop loop7 on /tmp/loopimage as /tmp/hdimage/CD-Images/fedora/FC4-test2-DVD
-x86_64//FC4-test2-x86_64-DVD.iso fd is 13

I don't think this is too helpful. However, please tell me if I can give you
further info.
Comment 12 Simon Lanzmich 2005-04-22 16:40:42 EDT
I have to correct me. it is not:

* failed to insert /tmp/ehci-hcd.ko
* failed to insert module (19)
* failed to insert /tmp/ehci-hcd.ko

but it is:

* failed to insert module (19)
* failed to insert /tmp/ehci-hcd.ko
* failed to insert module (19)
* failed to insert /tmp/uhci-hcd.ko
Comment 13 Richard Plana 2005-04-22 22:52:07 EDT
Whoops. Looks like this issue's unrelated to the command-line tests I reported.
Even with the iso image in the root subdirectory of the partition, it still
wouldn't mount.

I did try putting the ISO image onto the root directory and FC4T2 installed just
fine. It was only when it was in the previous subdirectory that it wouldn't mount.

Merely putting it in a subdirectory to crash it seems like a parsing problem of
the pathname or, less likely, something weird in the kernel that won't allow
mounting it from a subdirectory. I'm running FC4T2 now, so unless there's some
weird kernel parameter in the installer, the kernel's just fine.
Comment 14 Chris Lumens 2005-04-26 15:47:16 EDT
Looks like it's a problem of the images being too many directories down after
all.  Committed a fix to CVS.  Please test again on test3 when it's released and
let us know.
Comment 15 Richard Plana 2005-05-10 19:43:01 EDT
Tested on test3 and seems fixed on my platform.

Note You need to log in before you can comment on or make changes to this bug.